backend: # The two following lines need to be indented
  name: git-gateway # The authentication method we use for Netlify CMS
  branch: main # Branch to update when we push our content (it can be any branch in our repo)

# Do not indent these lines
media_folder: "public/images/uploads" # Exact path where we store the uploaded media
public_folder: "/images/uploads" # We do not need to specify the /public part as all the files from it are stored in the root directory after the build step

site_url: https://princecollection.com/ # Replace with site's URL
display_url: https://princecollection.com/ # Replace with site's URL

logo_url: /images/logo-crown.png # Replace with path to logo
# slug: {{slug}} # The URL should be the name of the title of the post/document
slug: {{slug}}
collections:
  - label: blog # Label used in the UI for the collection
    label_singular: post # Label for singular post
    name: blog # Name of the collection used for various functionality in the CMS
    extension: md
    folder: /src/content/blog # Where each new post with .md should be saved
    create: true # Allows users to create new items in the collection
    preview_path: blog/{{slug}}
    fields:
      - { label: "Draft", name: "draft", widget: "boolean", default: true}
      - { label: "Title", name: "title", widget: "string" } # Field Title
      - { label: "Author", name: "author", widget: "string", default: "Prince Collection" } # Field Title
      - { label: "Description", name: "description", widget: "string" } # Field Description
      - { label: "SEO Description", name: "SEOdescription", widget: "string" } # SEO Description
      - { label: 'Publish Date', name: 'pubDate', widget: 'datetime' }
      - { label: "Featured image", name: "imageUrl", widget: "image" }
      - { label: "Image Alt text", name: "imageAlt", widget: "string" } 
      - { label: "Category", name: "category", widget: "string", default: "blog" }
      - { label: "Tags", name: "tags", widget: "list", default: ["blog"] }
      - { label: "Featured post", name: "featured", widget: "boolean", default: false, required: false }
      - { label: "Blockquote", name: "blockquote", widget: "string", default: "", required: false }
      - label: "Carousel"
        name: "carousel"
        widget: list
        required: false
        collapsed: true
        fields:
          - {label: Image, name: url, widget: image, required: false}
      - label: "Gallery"
        name: "gallery"
        widget: list
        required: false
        collapsed: true
        fields:
          - {label: Image, name: url, widget: image, required: false}
      - { label: "Table of Contents", name: "contents", widget: "list", default: ["Comma separated list of all main section titles"], required: false }
      - { label: "Body", name: "body", widget: "markdown" }

  - label: news # Label used in the UI for the collection
    label_singular: post # Label for singular post
    name: news # Name of the collection used for various functionality in the CMS
    folder: /src/content/news # Where each new post with .md should be saved
    create: true # Allows users to create new items in the collection
    preview_path: news/{{slug}}
    fields:
      - { label: "Draft", name: "draft", widget: "boolean", default: true}
      - { label: "Title", name: "title", widget: "string" } # Field Title
      - { label: "Author", name: "author", widget: "string", default: "Prince Collection" } # Field Title
      - { label: "Description", name: "description", widget: "string" } # Field Description
      - { label: "SEO Description", name: "SEOdescription", widget: "string" } # SEO Description
      - { label: 'Publish Date', name: 'pubDate', widget: 'datetime' }
      - { label: "Featured image", name: "imageUrl", widget: "image" } # Field Featured Image
      - { label: "Image Alt text", name: "imageAlt", widget: "string" }
      - { label: "Category", name: "category", widget: "string", default: "news" }
      - { label: "Tags", name: "tags", widget: "list", default: ["news"] }
      - { label: "Featured post", name: "featured", widget: "boolean", default: false, required: false }
      - { label: "Blockquote", name: "blockquote", widget: "string", default: "", required: false }
      - label: "Carousel"
        name: "carousel"
        widget: list
        required: false
        collapsed: true
        fields:
          - {label: Image, name: url, widget: image, required: false}
      - label: "Gallery"
        name: "gallery"
        widget: list
        required: false
        collapsed: true
        fields:
          - {label: Image, name: url, widget: image, required: false}
      - { label: "Table of Contents", name: "contents", widget: "list", default: ["Comma separated list of all main section titles"], required: false }
      - {label: "Body", name: "body", widget: "markdown"}

  - label: reviews # Label used in the UI for the collection
    label_singular: post # Label for singular post
    name: reviews # Name of the collection used for various functionality in the CMS
    folder: /src/content/reviews # Where each new post with .md should be saved
    create: true # Allows users to create new items in the collection
    preview_path: reviews/{{slug}}
    fields:
      - { label: "Draft", name: "draft", widget: "boolean", default: true}
      - { label: "Title", name: "title", widget: "string" } # Field Title
      - { label: "Author", name: "author", widget: "string", default: "Prince Collection" } # Field Title
      - { label: "Description", name: "description", widget: "string" } # Field Description
      - { label: "SEO Description", name: "SEOdescription", widget: "string" } # SEO Description
      - { label: 'Publish Date', name: 'pubDate', widget: 'datetime' }
      - { label: "Featured image", name: "imageUrl", widget: "image" } # Field Featured Image
      - { label: "Image Alt text", name: "imageAlt", widget: "string" }
      - { label: "Category", name: "category", widget: "string", default: "reviews" }
      - { label: "Tags", name: "tags", widget: "list", default: ["reviews"] }
      - { label: "Featured post", name: "featured", widget: "boolean", default: false, required: false }
      - { label: "Blockquote", name: "blockquote", widget: "string", default: "", required: false }
      - label: "Carousel"
        name: "carousel"
        widget: list
        required: false
        collapsed: true
        fields:
          - {label: Image, name: url, widget: image, required: false}
      - label: "Gallery"
        name: "gallery"
        widget: list
        required: false
        collapsed: true
        fields:
          - {label: Image, name: url, widget: image, required: false}
      - {label: "Table of Contents", name: "contents", widget: "list", default: ["Comma separated list of all main section titles"], required: false }
      - {label: "Body", name: "body", widget: "markdown"}

  - label: guides # Label used in the UI for the collection
    label_singular: guide # Label for singular post
    name: guides # Name of the collection used for various functionality in the CMS
    folder: /src/content/guides # Where each new post with .md should be saved
    create: true # Allows users to create new items in the collection
    preview_path: guides/{{slug}}
    fields:
      - { label: "Draft", name: "draft", widget: "boolean", default: true}
      - { label: "Title", name: "title", widget: "string" } # Field Title
      - { label: "Author", name: "author", widget: "string", default: "Prince Collection" } # Field Title
      - { label: "Description", name: "description", widget: "string" } # Field Description
      - { label: "SEO Description", name: "SEOdescription", widget: "string" } # SEO Description
      - { label: 'Publish Date', name: 'pubDate', widget: 'datetime' }
      - { label: "Featured image", name: "imageUrl", widget: "image" } # Field Featured Image
      - { label: "Image Alt text", name: "imageAlt", widget: "string" } 
      - { label: "Category", name: "category", widget: "string", default: "guides" }
      - { label: "Tags", name: "tags", widget: "list", default: ["guides"] }
      - { label: "Featured post", name: "featured", widget: "boolean", default: false, required: false }
      - { label: "Blockquote", name: "blockquote", widget: "string", default: "", required: false }
      - label: "Carousel"
        name: "carousel"
        widget: list
        required: false
        collapsed: true
        fields:
          - {label: Image, name: url, widget: image, required: false}
      - label: "Gallery"
        name: "gallery"
        widget: list
        required: false
        collapsed: true
        fields:
          - {label: Image, name: url, widget: image, required: false}
      - { label: "Table of Contents", name: "contents", widget: "list", default: ["section-title"], required: false }
      - {label: "Body", name: "body", widget: "markdown"}

  - label: authors # Label used in the UI for the collection
    label_singular: author # Label for singular post
    name: authors # Name of the collection used for various functionality in the CMS
    folder: /src/content/authors # Where each new post with .md should be saved
    create: true # Allows users to create new items in the collection
    preview_path: authors/{{slug}}
    fields:
      - { label: "Name", name: "name", widget: "string" } # Field Title
      - { label: "Description", name: "description", widget: "string" } # Field Description
      - { label: "Featured image", name: "imageUrl", widget: "image" } # Field Featured Image
      - { label: "Image Alt text", name: "imageAlt", widget: "string" } 
      - { label: "Body", name: "body", widget: "markdown", required: false}  

# use fields for credit card or other ads, then use v-if on a component inside the MD

